package service

import (
	"blazing/cool"
	"blazing/modules/blazing/model"
)

type UserService struct {
	userid uint32

	task *cool.Service //任务
	reg  *cool.Service //注册
	pet  *cool.Service //精灵
	item *cool.Service //物品
}

func NewUserService(id uint32) *UserService {
	return &UserService{
		userid: id,
		task: &cool.Service{
			Model: model.NewTask(),
		},
		reg: &cool.Service{
			Model: model.NewPlayer(),
		},
		pet:  &cool.Service{Model: model.NewPet()},
		item: &cool.Service{Model: model.NewPlayerBag()},
	}

}
